U++ - Bug #1379
ide: gcc: Some error messages are ignored
02/08/2016 08:57 AM - Miroslav Fidler

Status: Rejected Start date: 02/08/2016
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Release 2020.1 Spent time: 0.00 hour
Description

c:\ulupp16\uppsrc\Core\Callback.h: In instantiation of 'Res Upp::Function<Res(ArgTypes ...)>::Wrapper<F>::Execute(ArgTypes ...) [with F
= bool; Res = bool; ArgTypes = {long long int, long long int}]":
c:\ulupp16\uppsrc\Core\Win32Util.cpp:235:1: required from here
c:\ulupp16\uppsrc\Core\Callback.h:21:60: error: expression cannot be used as a function
virtual Res Execute(ArgTypes... args) { return fn(args...); }

History

#1 - 01/23/2017 10:22 PM - Zbigniew Rebacz
- Category set to IDE

#2 - 02/05/2017 11:20 AM - Zbigniew Rebacz
- Target version changed from Release 2017.1 to Release 2017.2

#3 - 12/24/2017 06:36 PM - Zbigniew Rebacz
- Target version changed from Release 2017.2 to Release 2018.1

#4 - 04/03/2018 10:01 PM - Zbigniew Rebacz
- Target version changed from Release 2018.1 to Release 2019.1

#5 - 06/24/2019 01:28 AM - Zbigniew Rebacz
- Target version changed from Release 2019.1 to Release 2019.2

#6 - 11/01/2019 11:20 AM - Zbigniew Rebacz
- Target version changed from Release 2019.2 to Release 2020.1

#7 - 02/18/2020 01:54 PM - Miroslav Fidler

- Status changed from New to Rejected
